LẠI MỘT HỌC KỲ MỚI CÙNG VỚI NHỮNG QUYẾT TÂM MỚI.ANH EM CỐ GẮNG LÊN NHA

    Thủ thuật hay trong AutoCAD (cadviet.com)

    Share

    tanghung
    Ngồi bàn hai
    Ngồi bàn hai

    Tổng số bài gửi: 84
    Join date: 25/10/2008
    Age: 27
    Đến từ: Quảng Ninh

    Thủ thuật hay trong AutoCAD (cadviet.com)

    Bài gửi  tanghung on Tue Oct 28, 2008 5:54 am

    1. Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

    2. Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi
    cái Snap em có ý thế này hay hơn, mà em cũng đang dùng rất hiệu quả . lúc đang chọn giữa một đống như thế, không cần zoom lại, cũng không cấn ấn phím tab không biết bao giờ mới đến được điểm ưng ỵ Thử ấn ship và chuột phải đồng thời, xong ấn phím tắt của loại bắt điểm đó . VD tâm đường tròn là "C" , điểm cuối là "E" , điểm giữa là "M" ... các bác nghịch thêm nhé

    3. Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint, sau đó lại xóa line này đi?
    Không đến nỗi phức tạp như thế, khi bạn muốn xác định trung điểm, bạn chỉ cần nhập vào mtp hoặc m2p (middle between 2 point), ACAD sẽ hỏi bạn 2 điểm đầu mút, thế là bạn đã có điểm ở giữa

    4. -Nhiều bạn vẫn hay kích đúp để edit text hay dimmension, còn mình dùng lệnh "ed" như vậy thấy hiệu quả hơn nhiều đặc biệt là với dimmension.
    -Nhiều bạn vẫn phải vẽ mũi tên trong khi đó có thể dùng lệnh "le", với lệnh này ta có thể viết luôn text cùng với mũi tên mà không cần phải dùng thêm lệnh text, đặc biệt sẽ dễ quản lý sau này

    5. Các bạn cho mình hỏi nếu trong bản vẽ có hai đường thẳng trùng nhau làm cách nào để cho một trong 2 đường đó hiển thị lên trước hoặc sau. VD: một đường màu đỏ nằm chồng lên đường màu xanh làm cách nào để đường màu xanh hiển thị lên trước.
    _bạn vào menu Tools -> Display order -> Bring to front chọn đường màu xanh_

    6.Nhờ mọi người chỉ giùm em cách để đặt lại lệnh cho dễ thao tác- Ví dụ như thay vì dùng MI (đối xứng) thì em có thể đặt lại là DX chẳng hạn.
    Thanks nhiu
    . Bạn vô tool>customize>Edit Program Parameters, sau đó tìm đến các lệnh cần thay thế để đặt lại lệnh tắt

    7. Bạn vào Express > Tools > Command Alias Editor...> Hiện bảng các lệnh tắt

    8. Khi bạn muốn nối các line, arc, polyline thành 1 nhưng chúng lại không chạm nhau? Bạn dùng tham số Mutiple ngay sau khi sử dụng lệnh pline, sau đó sử dụng chức năng join:
    Command: pe
    PEDIT Select polyline or [Multiple]: m
    Select objects: Specify opposite corner: 11 found
    Select objects:
    Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j
    Join Type = Extend
    Enter fuzz distance or [Jointype] <8.0270>: 5.0
    10 segments added to polyline
    Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]:

    9.-Nhiều bạn vẫn hay kích đúp để edit text hay dimmension, còn mình dùng lệnh "ed" như vậy thấy hiệu quả hơn nhiều đặc biệt là với dimmension.
    -Nhiều bạn vẫn phải vẽ mũi tên trong khi đó có thể dùng lệnh "le", với lệnh này ta có thể viết luôn text cùng với mũi tên mà không cần phải dùng thêm lệnh text, đặc biệt sẽ dễ quản lý sau này
    -Để viết dung sai cho kích thước : ví dụ có một kích thước 30 ta cần viết dung sai +0,1/-0,2 ta làm như sau: dùng lệnh ed chọn kích thước cần sửa, gõ thêm vào +0,1^-0,2 , đánh dấu phần +0,1^-0,2 và chọn a/b trên texttool. Ta sẽ được
    30 +0,1/-0,2

    10.Các bạn vẽ thường phải sử dung phím F8 để vẽ đường chéo
    hoặc chuyển từ vẽ chéo sang vẽ thẳng.
    Hừ, cứ mỗi lần như thế lại phải với tay ra phím F8 để chọn( mà phím F8 lai rõ là xa nữa chứ)
    Có cách đơn giản là bạn cứ để thằng F8 ở chế độ vẽ thẳng
    Cứ mỗi lần vẽ chéo thì nhấn Shift thế là thành vẽ chéo.
    Đỡ mỏi tay hehe

    11.Để vẽ đường phân giác của 1 góc, bạn làm gì?

    đơn giản, bạn dùng lệnh XLine, sau đó dùng tham số B (Bisect), pick vào tâm rồi pick vào 2 điểm thuộc 2 cạnh của góc. Bạn sẽ vẽ nên một đường thẳng XLine là phân giác của góc vừa rồi.

    12.Chuyển file DWG sang PDF?
    Đơn giản thui bạn chuyển qua đuôi PDF bằng cách. Ấn tổ hợp phím Ctrl+P, tại mục printer/Plotter bạn chọn DWG to PDF. Dùng cửa sổ Windows và chon bản vẽ song ok. vậy là ta đã có một file PDF rùi.

    13.Tạo một tex theo hình vòng cung
    Bạn vẽ cung tròn ra - dùng lệnh ARCTEXT (hoặc vào menu Express - Text - Arc align text)

    14.Lệnh etrude
    khi bạn vẽ xong một polyline bạn muốn extrude lên thành mốt khối 3d thì bạn nhấn ctrl + alt đồng thời đưa con chỏ vào vùng polyline va bấm chuột trái và kéo ra nơi khác, ỏ bạn gõ chiều cao cho nó.

    15.cách hiện thị thời gian, ngày tháng trên bản vẽ cad
    dùng lệnh "field", trong đó có nhiều thứ để bạn chọn như: tên file, đường dẫn hoặc ngày tháng ... (Nó nằm trong menu Insert\field.)

    16.chuyển đường spline thành đường polyline : dùng lệnh FLATTEN

    17.Đo được góc có giá trị lớn hơn 180 độ
    Bạn vẫn dùng lệnh DIMANGULAR như bình thường, chỉ hơi khác một chút là bạn đừng chọn góc giữa 2 line mà bạn chọn chức năng đo góc của Arc hay góc giữa 3 điểm là được

    18. chèn ảnh vào file CAD
    -PA1: bạn Insert ảnh đó vào Word rồi từ Word copy ảnh đó dán vào cad( nhưng ảnh bị vỡ trông rất xấu.)
    -PA2: Trước hết bạn chuyển ảnh của bạn sang dạng bitmap (.bmp). Sau đó trên cad bạn vào menu insert, rồi chọn OLE Object, rồi dùng creat from file để insert ảnh

    19.Đổi chiều mũi tên kích thước:
    Ngoài việc điều khiển mũi tên trong D - Modify - Fix chúng co thể thay đổi chiều mũi tên bằng cách :
    Chọn kích thước - nhấp chuột phải - chọn Flip

    20.Vẽ đường dạng độ phút giây: VD : 6o20'25"
    Bạn nhập @500<6d20'25" Basketball

    to be continue..


    Được sửa bởi tanghung ngày Mon Nov 03, 2008 11:32 pm; sửa lần 7.

    mrvova
    Admin

    Tổng số bài gửi: 1
    Join date: 03/10/2008

    Re: Thủ thuật hay trong AutoCAD (cadviet.com)

    Bài gửi  mrvova on Thu Oct 30, 2008 3:47 pm

    hay quá! bạn tiếp tục viết tiếp câu chuyện này nhanh nữa đi! lol!

    tanghung
    Ngồi bàn hai
    Ngồi bàn hai

    Tổng số bài gửi: 84
    Join date: 25/10/2008
    Age: 27
    Đến từ: Quảng Ninh

    Re: Thủ thuật hay trong AutoCAD (cadviet.com)

    Bài gửi  tanghung on Wed Apr 22, 2009 5:54 pm

    1, Tính thể tích khối solid trong cad3D : gõ vol rùi làm theo

    (defun c:vol ()
    (alert
    (strcat "Volume is "
    (rtos (/ (vlax-get-property
    (vlax-ename->vla-object (car (entsel)))
    'volume
    )
    1000000000.0 ;mm->m3
    )
    2
    6 ;decimal places
    )
    " m3"
    )
    )
    (princ)
    )


    2,Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

    Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

    3, scale 1 chiều

    1/ Lisp:
    a/ XSC : scale rất ngon : chỉ nhập lệnh -> chọn đối tượng -> nhập trục -> thông số scale
    b/ SCXY: quá tuyệt cho người dùng, cho scale theo một đối tượng gốc: chỉ việc nhập lệnh -> chọn đối tượng-> chọn cạnh 2 cạnh trục X -> chọn 2 cạnh trục X đối tượng mẫu (tiếp tục làm vậy đối với trục Y) là xong. Cái này cực chuẩn dành cho ai cần scale theo một thông số ỏ một mẫu kích thước nhật định

    Nhưng trên đây là dùng Lisp, cái mình muốn là thử dùng những cái trong Cad, k dùng Lisp thì có một số:
    1/ Insert:
    Chỉ dùng đc cho Block, scale đc một chiều, nhưng có thể sai tỉ lệ
    2/ Align:
    Chỉ scale ti lệ theo một đối tượng mẫu
    3/ Properties (cái này mới mò ra, chắc các bác cũng biết rồi)
    chọn đối tượng or Block nhấp chuột phại chọn Properties (or Ctrl +1), chuyển đến khung scale, nhập số hoặc bật cái bàn tính lênh để nhân or chia theo tỉ lệ số lần, cái này dùng chuẩn nhưng có phần chậm hơn Lisp, nhưng mục đích cuối cùng vẫn tìm ra đc scale mà k cần dùng Lisp.
    Trên đây là một số cái, mình mới dùng Cad chưa đc 1 tháng và cũng chưa học hành gì qua Cad, chủ yếu học hỏi anh em trên này, những phần mình post đối với một số bạn thì là quá thường nhưn ghy vong giúp ít một số anh em mới chập chững như mình.

    4. Khi bạn muốn nối 2 đường Line hoặc Pline lại với nhau thì cách hay dùng nhất là dùng lệnh PE =>M => chọn 2 đường thẳng cần Join và nhập vào khoảng hở nhưng có 1 cách rất nhanh và chỉ mất 1s thao tác đó là bạn dùng lệnh Fillet : F => giữ Shift + Click chọn 2 đường thẳng cần Join.Thế là ok.

    5. Bạn có 2 đường thẳng đè lên nhau và bạn muốn chọn hay xoá 1 đường nhưng nó lại nằm dưới đường kia.Ngoài cách mà bác Hoành đã hd thì mọi người hay vẽ 1 đường làm đường xác định rồi Move đường nằm trên đi sau đó mới xoá được đường bên dưới rồi lại Move lại đường kia vào.Có 1 cách thủ công nhưng cũng rất hiệu quả là bạn dùng lệnh OOPS.bạn cứ xoá ngay cái đường nằm trên đi rồi Move cái đường bên dưới đi,sau đó bạn đánh OOPS thì đường bạn xoá trước đó sẽ hồi phục lại ngay(lệnh này chỉ hồi phục các đt xoá gần nhất và nó không phải là Undo).

    tanghung
    Ngồi bàn hai
    Ngồi bàn hai

    Tổng số bài gửi: 84
    Join date: 25/10/2008
    Age: 27
    Đến từ: Quảng Ninh

    sử dụng lệnh MLEADER : chú thích đa dạng, cho bạn nào chưa bit

    Bài gửi  tanghung on Wed Apr 22, 2009 6:17 pm

    http://www.cadviet.com/forum/index.php?showtopic=7048

      Hôm nay: Sat Aug 23, 2014 4:26 pm